DbEnv::get_data_dirs()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_data_dirs()

    #include <db_cxx.h>

    int
    DbEnv::get_data_dirs(const char ***dirpp);

The `DbEnv::get_data_dirs()` method returns the NULL-terminated array of directories.

The `DbEnv::get_data_dirs()` method may be called at any time during the life of the application.

The `DbEnv::get_data_dirs()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirpp

The `DbEnv::get_data_dirs()` method returns a reference to the NULL-terminated array of directories in dirpp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_create_dir() | Home | DbEnv::get_encrypt_flags()